Client A P I
Set primary allocation
Sets the primary network allocation for the server.
POST
/api/client/servers/{server_uuid}/network/allocations/{allocation_id}/primaryAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
allocation_id*integer
The ID of the allocation.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/network/allocations/1/primary"{ "object": "allocation", "attributes": { "id": 9834, "ip": "54.95.112.197", "ip_alias": "string", "port": 8189, "notes": "Primary game port", "is_default": false }}